package com.zehong.system.domain;

/**
 * 首页下级设备数据封装类
 */
public class SubordinateEquipmentList {

    //设备数量
    private int numberPressureGauges;

    //在线设备
    private int onlineEquipment;

    //离线设备
    private int offlineEquipment;

    //历史报警
    private int historicalAlarm;

    //已处理报警
    private int alarmProcessed;

    //报警中
    private int inAlarm;

    //类型  1压力表  2流量计  3探测器
    private int dataType;

    public int getDataType() {
        return dataType;
    }

    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public int getNumberPressureGauges() {
        return numberPressureGauges;
    }

    public void setNumberPressureGauges(int numberPressureGauges) {
        this.numberPressureGauges = numberPressureGauges;
    }

    public int getOnlineEquipment() {
        return onlineEquipment;
    }

    public void setOnlineEquipment(int onlineEquipment) {
        this.onlineEquipment = onlineEquipment;
    }

    public int getOfflineEquipment() {
        return offlineEquipment;
    }

    public void setOfflineEquipment(int offlineEquipment) {
        this.offlineEquipment = offlineEquipment;
    }

    public int getHistoricalAlarm() {
        return historicalAlarm;
    }

    public void setHistoricalAlarm(int historicalAlarm) {
        this.historicalAlarm = historicalAlarm;
    }

    public int getAlarmProcessed() {
        return alarmProcessed;
    }

    public void setAlarmProcessed(int alarmProcessed) {
        this.alarmProcessed = alarmProcessed;
    }

    public int getInAlarm() {
        return inAlarm;
    }

    public void setInAlarm(int inAlarm) {
        this.inAlarm = inAlarm;
    }

    @Override
    public String toString() {
        return "SubordinateEquipmentList{" +
                "numberPressureGauges=" + numberPressureGauges +
                ", onlineEquipment=" + onlineEquipment +
                ", offlineEquipment=" + offlineEquipment +
                ", historicalAlarm=" + historicalAlarm +
                ", alarmProcessed=" + alarmProcessed +
                ", inAlarm=" + inAlarm +
                ", dataType=" + dataType +
                '}';
    }
}
